#@TYPE: Machine
#@NAME: generic armv8 machine
#@DESCRIPTION: Machine configuration for running a generic armv8

require conf/machine/include/arm/armv8a/tune-cortexa57.inc

MACHINE_FEATURES += "secure-boot"

# TF-A
TFA_PLATFORM = "zynqmp"
EXTRA_IMAGEDEPENDS += "trusted-firmware-a"
EXTRA_IMAGEDEPENDS += "${@bb.utils.contains('MACHINE_FEATURES', 'capsule-update', 'capsule-update', '', d)}"

# u-boot
EXTRA_IMAGEDEPENDS += "u-boot"
UBOOT_CONFIG ??= "EFI"
UBOOT_CONFIG[EFI] = "xilinx_zynqmp_virt_defconfig"
UBOOT_ARCH = "arm"
UBOOT_EXTLINUX = "0"

PREFERRED_PROVIDER_virtual/kernel = 'linux-dummy'

#WIC
IMAGE_BOOT_FILES = "boot.bin"
IMAGE_FSTYPES = "wic.gz"
WKS_FILE ?= "zynqmp-zcu102.wks.in"
WKS_FILE_DEPENDS += "u-boot"
